Class | ElApp
In: | bin/el4r-instance
Parent: | Object

A class with EmacsRuby features.

### Methods

defun import_function new run

### Included Modules

ElMixin

### Public Class methods

defun(name, attrs=nil, &block)

EmacsLisp‘s defun. See El4r::ELMethodsMixin#defun.

It is a convenient defun. Note that `block` is evaluated within a context of INSTANCE.

import_function(*funcs)

Import EmacsLisp (and El4r::ELMethodsMixin) functions within class definition.

new(params)
run(params={})

Run the application.

[Validate]